public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Matthew Thode" <prometheanfire@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: app-admin/ansible-base/
Date: Thu, 26 May 2022 04:43:40 +0000 (UTC)	[thread overview]
Message-ID: <1653540214.ead9833c04cbd048f111a2151aa2e15970773d4f.prometheanfire@gentoo> (raw)

commit:     ead9833c04cbd048f111a2151aa2e15970773d4f
Author:     Matthew Thode <prometheanfire <AT> gentoo <DOT> org>
AuthorDate: Thu May 26 04:40:41 2022 +0000
Commit:     Matthew Thode <prometheanfire <AT> gentoo <DOT> org>
CommitDate: Thu May 26 04:43:34 2022 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=ead9833c

app-admin/ansible-base: 2.12.6 bump

Package-Manager: Portage-3.0.30, Repoman-3.0.3
Signed-off-by: Matthew Thode <prometheanfire <AT> gentoo.org>

 app-admin/ansible-base/Manifest                   |  1 +
 app-admin/ansible-base/ansible-base-2.12.6.ebuild | 64 +++++++++++++++++++++++
 2 files changed, 65 insertions(+)

diff --git a/app-admin/ansible-base/Manifest b/app-admin/ansible-base/Manifest
index c7123b723852..68e2471a1171 100644
--- a/app-admin/ansible-base/Manifest
+++ b/app-admin/ansible-base/Manifest
@@ -2,4 +2,5 @@ DIST ansible-core-2.11.7.tar.gz 7108269 BLAKE2B c5080161bfffc34382db86f3940dbbf1
 DIST ansible-core-2.12.3.tar.gz 7757271 BLAKE2B 02c8c2c09b778de9775384471f0b485237a8074468d437d41a6879e85769444c91ed4571e17de9aa4024fb2b6c29b4e90b4c31b6714d633ef7028e9711f5ecf3 SHA512 dedac2546881442f5e904c485bdc464d0ced847520879fd10c2454a2055ada4d051416d450f01ae5a1e2f5073f1633cb4db5265855199bb32c0acb41092d6f05
 DIST ansible-core-2.12.4.tar.gz 7756536 BLAKE2B f2820db0c8a3b618b8dc37670709185ed26d21dc96bb3e8ea34a011d8f2c006ca541a74cd4196ea5cf8d420f9f57efc1bc256a76320b860c1b3a8e3f4304163f SHA512 a196a4f75834b5951330a1ea201aca41581c88a3cedbdd1c9e00acd5d3f06b4fd1948ddb2acea32bc2b758587baf9bd75572d150d6d47a3a957f5d8c4fc06d2f
 DIST ansible-core-2.12.5.tar.gz 7757691 BLAKE2B 04be15e932221dfbc8435c703efe3803d4de5f1f94b3205c220f4ea105ffd703df5dff680a4812f1230b77f21ee78b9f6b1020122442aac333aa26304d4d62c0 SHA512 795001257d8b2ffdca00c13a018ebfc822c11f1d8a0eb83df30a1670c19bdc995325da1c87414b672a4fcf8bf57215ff8b7a7b85325ad561d5123c549b18dbe9
+DIST ansible-core-2.12.6.tar.gz 7761844 BLAKE2B 37fe58bd04fcd59bb8085c31d8d7b4d4298c7911acb2a5988afa7a3b9d856769f0a737179f8d4828fd94a1a6c5e029385a7514a5f1b5155fffd6b8aa7ae7427f SHA512 55138701f3733b1ea2049783d9d0246beb7cc778090785eada756c9ef540b248bc345e07a261d5542648fc22088bc25e3ab57f7b904bba615264d5556baae456
 DIST ansible-core-2.13.0.tar.gz 7383065 BLAKE2B 14c9c30a1d04c4235877da9a2d866bae229fa0bb28815dccc2cbc37ca7a767a6a15b2ae1824849cb2c7031b3c3bdcac433b04bf353265228ab2beec7650aa7b9 SHA512 37e17d73477ba88c62af94a6912f9b4b91ebf2ac967c2845875e293fe2ed09307e414644899714e604883973e241eed571d61b7a093a6c212446a1f5b702af6f

diff --git a/app-admin/ansible-base/ansible-base-2.12.6.ebuild b/app-admin/ansible-base/ansible-base-2.12.6.ebuild
new file mode 100644
index 000000000000..06d9ba54c027
--- /dev/null
+++ b/app-admin/ansible-base/ansible-base-2.12.6.ebuild
@@ -0,0 +1,64 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+PYTHON_COMPAT=( python3_{8..10} )
+DISTUTILS_USE_SETUPTOOLS=bdepend
+
+inherit distutils-r1
+
+DESCRIPTION="Model-driven deployment, config management, and command execution framework"
+HOMEPAGE="https://www.ansible.com/"
+
+if [[ ${PV} == 9999 ]]; then
+	inherit git-r3
+	EGIT_REPO_URI="https://github.com/ansible/ansible.git"
+	EGIT_BRANCH="devel"
+else
+	MY_PN="${PN/-base/-core}"
+	MY_P="${MY_PN}-${PV}"
+	SRC_URI="mirror://pypi/${MY_PN:0:1}/${MY_PN}/${MY_P}.tar.gz"
+	KEYWORDS="~amd64 ~arm ~arm64 ~ppc64 ~riscv ~x86 ~x64-macos"
+	S="${WORKDIR}"/${MY_P}
+fi
+
+LICENSE="GPL-3"
+SLOT="0"
+IUSE="test"
+RESTRICT="test"
+
+RDEPEND="
+	dev-python/paramiko[${PYTHON_USEDEP}]
+	dev-python/jinja[${PYTHON_USEDEP}]
+	dev-python/pyyaml[${PYTHON_USEDEP}]
+	dev-python/cryptography[${PYTHON_USEDEP}]
+	dev-python/httplib2[${PYTHON_USEDEP}]
+	dev-python/six[${PYTHON_USEDEP}]
+	dev-python/netaddr[${PYTHON_USEDEP}]
+	dev-python/pexpect[${PYTHON_USEDEP}]
+	>=dev-python/resolvelib-0.5.3[${PYTHON_USEDEP}]
+	<dev-python/resolvelib-0.6.0[${PYTHON_USEDEP}]
+	net-misc/sshpass
+	virtual/ssh
+"
+DEPEND="
+	>=dev-python/packaging-16.6[${PYTHON_USEDEP}]
+	test? (
+		${RDEPEND}
+		dev-python/bcrypt[${PYTHON_USEDEP}]
+		dev-python/nose[${PYTHON_USEDEP}]
+		>=dev-python/mock-1.0.1[${PYTHON_USEDEP}]
+		dev-python/passlib[${PYTHON_USEDEP}]
+		dev-python/coverage[${PYTHON_USEDEP}]
+		dev-vcs/git
+	)"
+
+python_compile() {
+	export ANSIBLE_SKIP_CONFLICT_CHECK=1
+	distutils-r1_python_compile
+}
+
+python_test() {
+	nosetests -d -w test/units -v --with-coverage --cover-package=ansible --cover-branches || die
+}


             reply	other threads:[~2022-05-26  4:43 UTC|newest]

Thread overview: 70+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2022-05-26  4:43 Matthew Thode [this message]
  -- strict thread matches above, loose matches on Subject: below --
2022-08-21 15:12 [gentoo-commits] repo/gentoo:master commit in: app-admin/ansible-base/ Matthew Thode
2022-08-19 22:38 Matthew Thode
2022-08-16 16:46 Matthew Thode
2022-07-25 20:48 Matthew Thode
2022-07-22  4:26 Matthew Thode
2022-07-19 16:33 Matthew Thode
2022-07-18  2:53 Matthew Thode
2022-07-18  2:34 Matthew Thode
2022-06-30 21:16 Matthew Thode
2022-06-25 17:59 Matthew Thode
2022-06-25 17:26 Matthew Thode
2022-06-25 17:26 Matthew Thode
2022-06-21 18:52 Matthew Thode
2022-06-21 18:52 Matthew Thode
2022-06-21 18:52 Matthew Thode
2022-06-17 19:32 Matthew Thode
2022-06-03  2:58 Matthew Thode
2022-06-02 19:37 Matthew Thode
2022-05-31  2:05 Matthew Thode
2022-05-17 17:34 Matthew Thode
2022-05-02 15:07 Matthew Thode
2022-04-30 23:52 Matthew Thode
2022-04-03  3:36 Matthew Thode
2022-03-01 19:01 Matthew Thode
2022-02-08 21:51 Matthew Thode
2022-02-08 21:13 Matthew Thode
2022-02-01 19:09 Matthew Thode
2022-01-08  6:41 Matthew Thode
2021-12-11 20:21 Matthew Thode
2021-12-07 17:39 Matthew Thode
2021-11-26 13:40 Marek Szuba
2021-11-11 21:59 Matthew Thode
2021-11-09 15:53 Matthew Thode
2021-10-29 15:30 Arthur Zamarin
2021-10-13  0:03 Matthew Thode
2021-09-24  2:25 Matthew Thode
2021-09-15 15:39 Matthew Thode
2021-09-09 13:10 Marek Szuba
2021-08-24 16:00 Matthew Thode
2021-08-23 19:25 Matthew Thode
2021-08-17 23:45 Matthew Thode
2021-07-24 20:26 Matthew Thode
2021-07-22 21:58 Matthew Thode
2021-07-05 13:32 Michał Górny
2021-06-24 15:01 Matthew Thode
2021-06-15 15:18 Matthew Thode
2021-06-15 12:05 Marek Szuba
2021-06-06  3:19 Matthew Thode
2021-06-06  3:19 Matthew Thode
2021-05-31 17:49 David Seifert
2021-05-14  2:19 Matthew Thode
2021-05-04 21:13 Matthew Thode
2021-04-14  2:22 Matthew Thode
2021-03-17  5:17 Matthew Thode
2021-01-19 17:14 Matthew Thode
2021-01-03 20:19 Matthew Thode
2020-12-15 20:12 Matthew Thode
2020-12-13  1:15 Matthew Thode
2020-12-03  7:13 Matthew Thode
2020-11-03  7:06 Matthew Thode
2020-10-27 21:55 Matthew Thode
2020-10-16  3:26 Matthew Thode
2020-10-07 19:06 Patrick McLean
2020-10-06  5:59 Matthew Thode
2020-10-06  5:42 Matthew Thode
2020-09-16 19:47 Matthew Thode
2020-09-15 20:04 Matthew Thode
2020-09-15 17:27 Marek Szuba
2020-09-15 16:48 Matthew Thode

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1653540214.ead9833c04cbd048f111a2151aa2e15970773d4f.prometheanfire@gentoo \
    --to=prometheanfire@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox